Introduction The IBM Cloud® Usage Reports API provides details about the usage quantity and cost of resources in an account. Usage details are reported by the month in which they were incurred. Usage quantities and their corresponding costs are aggregated at the following levels: Individual resource instances Cloud Foundry organization or resource group Entire account all resources SDKs for Java, Node, Python, and Go are available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. Installing the Java SDK Maven xml Method Path Summary GET /v4/accounts/{account_id}/summary/{billingmonth} Get account summary GET /v4/accounts/{account_id}/usage/{billingmonth} Get account usage GET /v4/accounts/{account_id}/resource_groups/{resource_group_id}/usage/{billingmonth} Get resource group usage GET /v4/accounts/{account_id}/focus/{month} Get resource instance usage in FOCUS format GET /v4/accounts/{account_id}/resource_instances/usage/{billingmonth} Get resource instance usage in an account GET /v4/accounts/{account_id}/resource_groups/{resource_group_id}/resource_instances/usage/{billingmonth} Get resource instance usage in a resource group GET /v4/accounts/{account_id}/organizations/{organization_id}/resource_instances/usage/{billingmonth} Get resource instance usage in an organization GET /v4/accounts/{account_id}/organizations/{organization_id}/usage/{billingmonth} Get organization usage POST /v1/billing-reports-snapshot-config Setup the snapshot configuration GET /v1/billing-reports-snapshot-config Fetch the snapshot configuration PATCH /v1/billing-reports-snapshot-config Update the snapshot configuration DELETE /v1/billing-reports-snapshot-config Delete the snapshot configuration POST /v1/billing-reports-snapshot-config/validate Verify billing to COS authorization GET /v1/billing-reports-snapshots Fetch the current or past snapshots